OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class Token

    java.lang.Object
      org.opennms.netmgt.filter.node.Node
          org.opennms.netmgt.filter.node.Token

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

Direct Known Subclasses:
  EOF, TAnd, TBlank, TCompare, TDot, TGtrThan, TGtrThanEqual, TIdent, TInteger, TIplike, TLessThan, TLessThanEqual, TLike, TLparen, TNot, TNotEqual, TNotident, TOctetList, TOctetRange, TOctetRangeList, TOr, TQuotedString, TRparen, TSemi, TStar, TTildelike

public abstract class Token
extends Node

Field Summary
`private int` `line`
`private int` `pos`
`private java.lang.String` `text`

Fields inherited from class org.opennms.netmgt.filter.node.Node
``

Constructor Summary
`Token()`

Method Summary
`int` `getLine()`
`int` `getPos()`
`java.lang.String` `getText()`
`(package private) void` `removeChild(Node child)`
`(package private) void` `replaceChild(Node oldChild, Node newChild)`
`void` `setLine(int line)`
`void` `setPos(int pos)`
`void` `setText(java.lang.String text)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.filter.node.Node
`clone, cloneList, cloneNode, parent, parent, replaceBy, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.opennms.netmgt.filter.node.Switchable
`apply`

Field Detail

### text

    private java.lang.String text

### line

    private int line

### pos

    private int pos

Constructor Detail

### Token

    public Token()

Method Detail

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String text)

### getLine

    public int getLine()

### setLine

    public void setLine(int line)

### getPos

    public int getPos()

### setPos

    public void setPos(int pos)

### toString

    public java.lang.String toString()

### removeChild

    void removeChild(Node child)

  Specified by:
    `removeChild` in class `Node`

### replaceChild

    void replaceChild(Node oldChild,
                      Node newChild)

  Specified by:
    `replaceChild` in class `Node`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.